using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ManualSoftwareSystem.lib
{
    internal class clsLanguageVietnamese
    {
        public string Translate(string strEnglish)
        {

            switch (strEnglish)
            {
                case "Operator":
                    return "Nhà điều hành";
                case "Operator (*Required)":
                    return "Người vận hành (*Bắt buộc)";
                case "Add":
                    return "Thêm vào";
                case "Del":
                    return "Xóa bỏ";
                case "Yes":
                    return "Đúng";
                case "Cancel":
                    return "Hủy bỏ";
                case "Operator is Blanks":
                    return "Toán tử là Khoảng trống";
                case "Warning":
                    return "Cảnh báo";
                case "Inspection information":
                    return "thông tin giám định";
                case "Please fill out inspection information":
                    return "Vui lòng điền thông tin kiểm tra";
                case "Weather":
                    return "Thời tiết";
                case "Temperature":
                    return "Nhiệt độ";
                case "Humidity":
                    return "độ ẩm";
                case "Inspection common remarks":
                    return "Kiểm tra nhận xét chung";
                case "Weather is Blanks":
                    return "Thời tiết trống rỗng";
                case "Temperature is Blanks":
                    return "Nhiệt độ là khoảng trống";
                case "Humidity is Blanks":
                    return "Độ ẩm là khoảng trống";
                case "Inspection common remarks is Blanks":
                    return "Kiểm tra nhận xét chung là Khoảng trống";
                case "Operation Manual":
                    return "Hướng dẫn vận hành";
                case "Inspection Work":
                    return "Công tác thanh tra";
                case "Inspection Result":
                    return "Kết quả kiểm tra";
                case "Inspection Result Output":
                    return "Đầu ra kết quả kiểm tra";
                case "Work History":
                    return "Lịch sử công việc";
                case "Search Function":
                    return "Chức năng tìm kiếm";
                case "Setting":
                    return "Cài đặt";
                case "Master Maintenance":
                    return "Bảo trì tổng thể";
                case "New":
                    return "Mới";
                case "Edit":
                    return "Biên tập";
                case "Login":
                    return "Đăng nhập";
                case "User":
                    return "Người dùng";
                case "Password":
                    return "Mật khẩu";
                case "OK":
                    return "ĐƯỢC RỒI";
                case "Setting user Information":
                    return "Cài đặt thông tin người dùng";
                case "User ID":
                    return "Tên người dùng";
                case "Master Maintenance user Information":
                    return "Thông tin người dùng Bảo trì chính";
                case "Save":
                    return "Cứu";
                case "Please insert the USB key.":
                    return "Vui lòng cắm USB";
                case "Not correct":
                    return "Không chính xác";
                case "No file selected.":
                    return "Không có tập tin được chọn";
                case "Login Not correct":
                    return "Đăng nhập Không chính xác";
                case "User ID Setting is Blanks":
                    return "Cài đặt ID người dùng trống";
                case "Password Setting is Blanks":
                    return "Cài đặt mật khẩu trống";
                case "User ID Master is Blanks":
                    return "ID người dùng chính là khoảng trống";
                case "Password Master is Blanks":
                    return "Chủ mật khẩu là khoảng trống";
                case "Registration is Complete.":
                    return "Đăng ký đã hoàn tất";
                case "Information":
                    return "Thông tin";
                //case "Blanks and double quotation marks cannot be entered.":
                case "Blanks and double quotation marks are not allowed.":
                    return "Không thể nhập khoảng trống và dấu ngoặc kép";
                case "Name(Format)":
                    return "Tên (Định dạng)";
                case "Index":
                    return "Mục lục";
                case "Information1":
                    return "Thông tin1";
                case "Information2":
                    return "Thông tin2";
                case "Master Maintenance New":
                    return "Bảo trì tổng thể Mới";
                case "It will be the input file name of the product information.":
                    return "Nó sẽ là tên file đầu vào của thông tin sản phẩm";
                case "File name":
                    return "tên tệp";
                //case "Product No":
                case "Product":
                    return "Sản phẩm số";
                case "Version":
                    return "Phiên bản";
                case "Information3":
                    return "Thông tin3";
                case "Information4":
                    return "Thông tin4";
                case "Information5":
                    return "Thông tin5";
                case "Excel output format setting":
                    return "Cài đặt định dạng đầu ra Excel";
                case "Select":
                    return "Lựa chọn";
                case "Clear":
                    return "Thông thoáng";
                case "Excel output path is Blanks":
                    return "Đường dẫn đầu ra của Excel là Khoảng trống";
                case "Name(Format) is Blanks":
                    return "Tên (Định dạng) là Khoảng trống";
                //case "Product No is Blanks":
                case "Product is Blanks":
                    return "Số sản phẩm là Khoảng trống";
                case "Version is Blanks":
                    return "Phiên bản là Trống";
                case "Index is Blanks":
                    return "Chỉ mục là Khoảng trống";
                case "Information1 is Blanks":
                    return "Thông tin1 là Khoảng trống";
                case "Information2 is Blanks":
                    return "Thông tin2 là Khoảng trống";
                case "Information3 is Blanks":
                    return "Thông tin3 là Khoảng trống";
                case "Information4 is Blanks":
                    return "Thông tin4 là Khoảng trống";
                case "Information5 is Blanks":
                    return "Thông tin5 là Khoảng trống";
                case "Name(Format) : Double quotes are not allowed.":
                    return "Tên (Định dạng): Dấu ngoặc kép không được phép";
                //case "Product No : Double quotes are not allowed.":
                case "Product : Double quotes are not allowed.":
                    return "Số sản phẩm : Không được phép trích dẫn kép";
                case "Version : Double quotes are not allowed.":
                    return "Phiên bản: Dấu ngoặc kép không được phép";
                case "Index : Double quotes are not allowed.":
                    return "Chỉ mục: Dấu ngoặc kép không được phép";
                case "Information1 : Double quotes are not allowed.":
                    return "Thông tin1: Không được phép trích dẫn kép";
                case "Information2 : Double quotes are not allowed.":
                    return "Thông tin2: Dấu ngoặc kép không được phép";
                case "Information3 : Double quotes are not allowed.":
                    return "Thông tin3: Không được phép trích dẫn kép";
                case "Information4 : Double quotes are not allowed.":
                    return "Thông tin4: Không được phép trích dẫn kép";
                case "Information5 : Double quotes are not allowed.":
                    return "Thông tin5 : Không được phép trích dẫn kép";
                case "Serial USB Not correct":
                    return "USB nối tiếp Không đúng";
                case "Registration is Complete":
                    return "Đăng ký đã hoàn tất";
                case "Auto adjustment":
                    return "Điều chỉnh tự động";
                case "Add line":
                    return "thêm dòng";
                case "Del line":
                    return "dòng del";
                case "Copy line":
                    return "Sao chép dòng";
                case "Cut line":
                    return "Đường cắt";
                case "Paste line":
                    return "Dán dòng";
                //case "Viewer":
                case "Preview":
                    return "Người xem";
                case "Save as":
                    return "Lưu thành";
                case "Select Photos":
                    return "Chọn ảnh";
                case "Please select a row":
                    return "Vui lòng chọn một hàng";
                case "Copy":
                    return "Sao chép";
                case "Paste":
                    return "Dán";
                case "Save as is Complete.":
                    return "Lưu dưới dạng là Hoàn thành";
                case "PIC Main1":
                    return "Hình ảnh chính1";
                case "PIC Main2":
                    return "Hình ảnh chính2";
                case "PIC Sub":
                    return "Hình ảnh phụ";
                case "Comment":
                    return "Bình luận";
                case "Title":
                    return "Tiêu đề";
                case "Message":
                    return "Tin nhắn";
                case "Manual":
                    return "Thủ công";
                case "Input Conditions":
                    return "Điều kiện đầu vào";
                case "Input Comment":
                    return "Nhận xét đầu vào";
                case "Input Value1":
                    return "Giá trị đầu vào1";
                case "Input Value2":
                    return "Giá trị đầu vào2";
                case "Unit":
                    return "Đơn vị";
                case "Master file":
                    return "tập tin chính";
                //case "Are you satisfied with this registration information?":
                case "Are you sure with this registration information?":
                    return "Bạn có hài lòng với thông tin đăng ký này không?";
                case "Confirmation":
                    return "xác nhận";
                case "CSV file":
                    return "tệp CSV";
                case "OK\r\nNEXT":
                    return "OK\r\nTIẾP THEO";
                case "STOP":
                    return "DỪNG LẠI";
                case "Finished to the end. Repeat Work?":
                    return "Kết thúc đến cùng. Lặp lại công việc?";
                case "Reset":
                    return "Cài lại";
                case "Enter serial number":
                    return "Nhập số seri";
                case "Data is Blanks":
                    return "Dữ liệu trống";
                //case "Error judgment. Would you like to reconfirm?":
                case "Error. Would you like to reconfirm?":
                    return "Phán đoán lỗi. Bạn có muốn xác nhận lại không?";
                case "Please key data again.":
                    return "Vui lòng nhập lại dữ liệu";
                case "Restart":
                    return "Khởi động lại";
                case "Handing\r\nOver":
                    return "bàn giao\r\nQua";
                case "END":
                    return "KẾT THÚC";
                case "Input information":
                    return "Thông tin đầu vào";
                case "Input error information":
                    return "Thông tin đầu vào";
                //case "Detailed comment":
                case "Error details":
                    return "bình luận chi tiết";
                //case "Action content":
                case "Action details":
                    return "nội dung hành động";
                //case "Selecting an inspection executable":
                case "Selecting an inspection master file":
                    return "Chọn một kiểm tra thực thi";
                case "Select the inspection work  it is working on.":
                    return "Chọn công việc kiểm tra nó đang làm việc";
                //case "Create an inspection table from the master and then\r\nImplement it.":
                case "Create an inspection work from the master.":
                    return "Tạo bảng kiểm tra từ bảng chính rồi\r\nTriển khai bảng đó";
                case "First page":
                    return "Trang đầu tiên";
                case "Previous page":
                    return "Trang trước";
                case "Do you want to start from the first page?":
                    return "Bạn có muốn bắt đầu từ trang đầu tiên?";
                case "Do you want to start from the previous page?":
                    return "Bạn có muốn bắt đầu từ trang trước không?";
                case "Select mode":
                    return "Chọn chế độ";
                case "Selection of inspection result display method.":
                    return "Lựa chọn phương thức hiển thị kết quả kiểm tra";
                case "Displays inspection completion results.":
                    return "Hiển thị kết quả hoàn thành kiểm tra";
                case "Displays the interim results of the inspection.":
                    return "Hiển thị kết quả tạm thời của việc kiểm tra";
                case "Work History Viewer":
                    return "Trình xem lịch sử công việc";
                //case "Execution name":
                case "Inspection results file name":
                    return "tên thực hiện";
                case "Start item":
                    return "mục bắt đầu";
                case "End item":
                    return "mục cuối";
                case "Information 1":
                    return "thông tin 1";
                case "Information 2":
                    return "Thông tin 2";
                case "Information 3":
                    return "Thông tin 3";
                case "Start date":
                    return "ngày bắt đầu";
                case "Start time":
                    return "Thời gian bắt đầu";
                case "End date":
                    return "Ngày cuối";
                case "End time":
                    return "Thời gian kết thúc";
                case "All":
                    return "Tất cả";
                case "Work history":
                    return "Lịch sử công việc";
                case "Completion results":
                    return "kết quả hoàn thành";
                case "Working":
                    return "Đang làm việc";
                case "Error":
                    return "Lỗi";
                case "Search":
                    return "Tìm kiếm";
                case "Search is Blanks":
                    return "Tìm kiếm là Khoảng trống";
                //case "Detailed Comment is Blanks":
                case "Error details is Blanks":
                    return "Nhận xét chi tiết là Khoảng trống";
                case "Date Time":
                    return "Ngày giờ";
                case "File Type":
                    return "Loại tệp";
                case "File Name":
                    return "Tên tệp";
                case "Condition":
                    return "Tình trạng";
                case "Type":
                    return "Kiểu";
                //case "Judgment":
                case "Judgement":
                    return "Bản án";
                case "An asterisk \" * \" can be used as a wildcard.":
                    return "Dấu hoa thị \" * \" có thể được sử dụng làm ký tự đại diện";
                //case "If you don't want to set the number of characters,  don't enter anything.":
                case "If you don't want to set the number of characters,  don't input anything.":
                    return "Nếu bạn không muốn đặt số lượng ký tự, đừng nhập gì cả";
                case "Word count":
                    return "Số từ";
                case "Check to Upper case letters and Lower case letters":
                    return "Kiểm tra chữ hoa và chữ thường";
                //case "Input Required":
                case "Required input":
                    return "Yêu cầu đầu vào";
                case "Standard value":
                    return "Giá trị tiêu chuẩn";
                //case "Formula":
                case "Judgment method":
                    return "Công thức";
                case "Min":
                    return "tối thiểu";
                case "Max":
                    return "tối đa";
                //case "** Blanks and double quotation marks cannot be entered.":
                case "** Blanks and double quotation marks are not allowed.":
                    return "** Không thể nhập khoảng trống và dấu ngoặc kép";
                case "** File path + file name must be within 200 characters":
                    return "** Đường dẫn tệp + tên tệp phải trong vòng 200 ký tự";
                //case "Serial":
                case "Serial NO":
                    return "không có nối tiếp";
                //case "Product no":
                //    return "Sản phẩm số";
                //case "Serial is Blanks":
                case "Serial NO is Blanks":
                    return "Nối tiếp là Khoảng trống";
                //case "Product no is Blanks":                
                //    return "Số sản phẩm là Khoảng trống";
                //case "Serial : Double quotes are not allowed.":
                case "Serial NO : Double quotes are not allowed.":
                    return "Nối tiếp: Dấu ngoặc kép không được phép";
                case "Completion file":
                    return "hồ sơ hoàn công";
                case "Working file":
                    return "tập tin làm việc";
                case "Browse Picture File":
                    return "Duyệt tập tin ảnh";
                case "Master Maintenance Image":
                    return "Hình ảnh bảo trì tổng thể";
                //case "File Format Wrong.":
                case "File Format is not correct.":
                    return "Định dạng tệp sai";
                case "Excel file":
                    return "tập tin excel";
                case "Name":
                    return "Tên";
                case "Remark":
                    return "Nhận xét";
                case "Name is Blanks":
                    return "Tên là khoảng trống";
                case "Information is Blanks":
                    return "Thông tin trống";
                case "Remark is Blanks":
                    return "Ghi chú là Khoảng trống";
                case "File":
                    return "Tài liệu";
                case "Page":
                    return "Trang";
                case "Date":
                    return "Ngày";
                case "Time":
                    return "Thời gian";
                case "Remarks":
                    return "Nhận xét";
                case "文字 -強制":
                    return "lực lượng nhân vật";
                case "小数点±":
                    return "dấu thập phân ±";
                case "形式":
                    return "định dạng";
                case "図番":
                    return "số bản vẽ";
                case "版数":
                    return "số phiên bản";
                case "インデックス":
                    return "mục lục";
                case "情報1":
                    return "thông tin 1";
                case "情報2":
                    return "Thông tin 2";
                case "情報3":
                    return "Thông tin 3";
                case "情報4":
                    return "Thông tin 4";
                case "情報5":
                    return "Thông tin 5";
                case "1検査-1":
                    return "1 kiểm tra-1";
                case "1検査-2":
                    return "1 Kiểm tra-2";
                case "1検査-3":
                    return "1 Thanh tra-3";
                case "総台数":
                    return "Tổng số";
                case "この番号":
                    return "con số này";
                case "認識名称(シリアルNo)":
                    return "Tên nhận dạng (số sê-ri)";
                case "認識番号(製造番号)":
                    return "Số nhận dạng (số sản xuất)";
                case "他１":
                    return "1 người khác";
                case "他２":
                    return "2 người khác";
                case "他３":
                    return "3 người khác";
                case "他４":
                    return "4 người khác";
                case "他５":
                    return "5 người khác";
                case "1/1目の検査":
                    return "Kiểm tra 1/1 bằng mắt";
                case "否":
                    return "KHÔNG";
                case "管理者記入欄":
                    return "Trường nhập quản trị viên";
                case "Excel File Not Found.":
                    return "Không tìm thấy tệp Excel.";
                default:
                    return strEnglish;
            }



        }
    }
}
